Renew servers

Creates an unpaid order that extends the listed servers by the requested billing cycle, to be settled through the orders API. Servers renewed together share one combined order, and an existing renewal order is returned instead of a second one.

POST
/servers/renew

Authorization

BearerToken
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/servers/renew" \  -H "Content-Type: application/json" \  -d '{    "server_ids": [      0    ],    "billing_cycle": 1  }'
{  "id": 0,  "tax_rate": 0,  "amount": "string",  "amount_with_vat": "string",  "amount_from_balance": "string",  "payment_method": "paypal",  "status": "awaiting_payment",  "type": "new-service",  "auto_pay": true,  "promo_applicable": "string",  "created_at": "2019-08-24T14:15:22Z",  "due_at": "2019-08-24T14:15:22Z",  "payment_date": "2019-08-24T14:15:22Z",  "invoices": [    {      "id": 0,      "invoice_number": "string",      "created_at": "2019-08-24T14:15:22Z",      "amount": "string",      "amount_with_vat": "string",      "type": "string",      "order_ids": [        null      ]    }  ],  "promo": {    "code": "string",    "percentage": 0,    "minimum_billing_cycle": 0  },  "payment_information": {    "tx_hash": "string",    "tx_amount": 0,    "confirmed_at": "string"  },  "services": {}}